Bug 1255074 - ipmi SOL console is not responsive during installation on Power8 baremetal machine [NEEDINFO]
Summary: ipmi SOL console is not responsive during installation on Power8 baremetal ma...
Status: CLOSED INSUFFICIENT_DATA
Alias: None
Product: Fedora
Classification: Fedora
Component: kernel
Version: 24
Hardware: ppc64le
OS: Linux
unspecified
unspecified
Target Milestone: ---
Assignee: Kernel Maintainer List
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords:
Depends On:
Blocks: PPCTracker F-ExcludeArch-ppc64le, PPC64LETracker F23PPCFinal
TreeView+ depends on / blocked
 
Reported: 2015-08-19 14:30 UTC by Jakub Čajka
Modified: 2016-10-26 16:53 UTC (History)
11 users (show)

(edit)
Clone Of:
(edit)
Last Closed: 2016-10-26 16:53:25 UTC
labbott: needinfo? (jcajka)


Attachments (Terms of Use)
anaconda.log (8.42 KB, text/plain)
2015-09-21 12:41 UTC, Menanteau Guy
no flags Details
X log (23.86 KB, text/plain)
2015-09-21 12:42 UTC, Menanteau Guy
no flags Details
syslog (328.67 KB, text/plain)
2015-09-21 12:42 UTC, Menanteau Guy
no flags Details
lspci (3.02 KB, text/plain)
2015-09-21 12:43 UTC, Menanteau Guy
no flags Details

Description Jakub Čajka 2015-08-19 14:30:22 UTC
Description of problem:
console is not responding to input, anaconda/kernel output is displayed, but no input is taken. Also ipmi works fine it's possible to reconnect to SOL, power cycle, ...

Version-Release number of selected component (if applicable):
kernel-4.2.0-0.rc5.git0.2.fc23.ppc64le
Fedora-Server-DVD-ppc64le-23.iso(Alpha_RC1)

How reproducible:
Always

Steps to Reproduce:
1. connect to Power8 console using ipmi/SOL(ipmitool -p "password" -H "server-mm-if" sol activate)
2. start installation from DVD
3. observe not responsive console

Actual results:
console is not responding to input

Expected results:
console responds to input

Additional info:
After successful VNC(used inst.vnc) installation I have obtained log with following content:
.
.
.
Aug 19 09:58:38 generic-02 systemd[1]: Starting Anaconda System Services.
Aug 19 09:58:38 generic-02 systemd[1]: Starting Anaconda...
Aug 19 09:58:38 generic-02 kernel: audit: type=1130 audit(1439978318.440:108): pid=1 uid=0 auid=4294967295 ses=4294967295 subj=system_u:system_r:init_t:s0 msg='unit=anaconda-sshd comm="systemd" exe="/usr/lib/systemd/systemd" hostname=? addr=? terminal=? res=failed'
Aug 19 09:58:39 generic-02 systemd[1]: Started Anaconda.
Aug 19 09:58:39 generic-02 audit[1]: SERVICE_START pid=1 uid=0 auid=4294967295 ses=4294967295 subj=system_u:system_r:init_t:s0 msg='unit=anaconda comm="systemd" exe="/usr/lib/systemd/systemd" hostname=? addr=? terminal=? res=success'
Aug 19 09:58:39 generic-02 systemd[1]: Started Anaconda Text Console.
Aug 19 09:58:39 generic-02 systemd[1]: Starting Anaconda Text Console...
Aug 19 09:58:39 generic-02 audit[1]: SERVICE_START pid=1 uid=0 auid=4294967295 ses=4294967295 subj=system_u:system_r:init_t:s0 msg='unit=anaconda-tmux@hvc0 comm="systemd" exe="/usr/lib/systemd/systemd" hostname=? addr=? terminal=? res=success'
Aug 19 09:58:39 generic-02 systemd[1]: Started Restrict Anaconda Text Console.
Aug 19 09:58:39 generic-02 systemd[1]: Startup finished in 6.056s (kernel) + 6min 17.401s (initrd) + 52.788s (userspace) = 7min 16.247s.
Aug 19 09:58:39 generic-02 kernel: audit: type=1130 audit(1439978319.230:109): pid=1 uid=0 auid=4294967295 ses=4294967295 subj=system_u:system_r:init_t:s0 msg='unit=anaconda comm="systemd" exe="/usr/lib/systemd/systemd" hostname=? addr=? terminal=? res=success'
Aug 19 09:58:39 generic-02 kernel: audit: type=1130 audit(1439978319.230:110): pid=1 uid=0 auid=4294967295 ses=4294967295 subj=system_u:system_r:init_t:s0 msg='unit=anaconda-tmux@hvc0 comm="systemd" exe="/usr/lib/systemd/systemd" hostname=? addr=? terminal=? res=success'
Aug 19 09:58:39 generic-02 kernel: genirq: Flags mismatch irq 26. 00000000 (hvc_console) vs. 00000000 (hvc_console)
Aug 19 09:58:39 generic-02 kernel: CPU: 23 PID: 11058 Comm: (echo) Not tainted 4.2.0-0.rc5.git0.2.fc23.ppc64le #1
Aug 19 09:58:39 generic-02 kernel: Call Trace:
Aug 19 09:58:39 generic-02 kernel: [c000000fe79af850] [c000000000980198] dump_stack+0x90/0xbc (unreliable)
Aug 19 09:58:39 generic-02 kernel: [c000000fe79af880] [c000000000132df8] __setup_irq+0x6a8/0x6f0
Aug 19 09:58:39 generic-02 kernel: [c000000fe79af930] [c000000000133080] request_threaded_irq+0x130/0x270
Aug 19 09:58:39 generic-02 kernel: [c000000fe79af990] [c0000000005a9984] notifier_add_irq+0x84/0xb0
Aug 19 09:58:39 generic-02 kernel: [c000000fe79af9c0] [c0000000005a8dd0] hvc_open+0xe0/0x1a0
Aug 19 09:58:39 generic-02 kernel: [c000000fe79afa40] [c000000000581904] tty_open+0x184/0x720
Aug 19 09:58:39 generic-02 kernel: [c000000fe79afae0] [c0000000002cce94] chrdev_open+0x114/0x270
Aug 19 09:58:39 generic-02 kernel: [c000000fe79afb40] [c0000000002c20d0] do_dentry_open+0x2c0/0x430
Aug 19 09:58:39 generic-02 kernel: [c000000fe79afba0] [c0000000002d9d08] path_openat+0x518/0x1510
Aug 19 09:58:39 generic-02 kernel: [c000000fe79afca0] [c0000000002dccec] do_filp_open+0xfc/0x170
Aug 19 09:58:39 generic-02 kernel: [c000000fe79afdc0] [c0000000002c4560] do_sys_open+0x1b0/0x310
Aug 19 09:58:39 generic-02 kernel: [c000000fe79afe30] [c000000000009260] system_call+0x38/0xd0
Aug 19 09:58:39 generic-02 kernel: hvc_open: request_irq failed with rc -16.
Aug 19 09:58:39 generic-02 kernel: genirq: Flags mismatch irq 26. 00000000 (hvc_console) vs. 00000000 (hvc_console)
Aug 19 09:58:39 generic-02 kernel: CPU: 22 PID: 1 Comm: systemd Not tainted 4.2.0-0.rc5.git0.2.fc23.ppc64le #1
Aug 19 09:58:39 generic-02 kernel: Call Trace:
Aug 19 09:58:39 generic-02 kernel: [c000001ffc107850] [c000000000980198] dump_stack+0x90/0xbc (unreliable)
Aug 19 09:58:39 generic-02 kernel: [c000001ffc107880] [c000000000132df8] __setup_irq+0x6a8/0x6f0
Aug 19 09:58:39 generic-02 kernel: [c000001ffc107930] [c000000000133080] request_threaded_irq+0x130/0x270
Aug 19 09:58:39 generic-02 kernel: [c000001ffc107990] [c0000000005a9984] notifier_add_irq+0x84/0xb0
Aug 19 09:58:39 generic-02 kernel: [c000001ffc1079c0] [c0000000005a8dd0] hvc_open+0xe0/0x1a0
Aug 19 09:58:39 generic-02 kernel: [c000001ffc107a40] [c000000000581904] tty_open+0x184/0x720
Aug 19 09:58:39 generic-02 kernel: [c000001ffc107ae0] [c0000000002cce94] chrdev_open+0x114/0x270
Aug 19 09:58:39 generic-02 kernel: [c000001ffc107b40] [c0000000002c20d0] do_dentry_open+0x2c0/0x430
Aug 19 09:58:39 generic-02 kernel: [c000001ffc107ba0] [c0000000002d9d08] path_openat+0x518/0x1510
Aug 19 09:58:39 generic-02 kernel: [c000001ffc107ca0] [c0000000002dccec] do_filp_open+0xfc/0x170
Aug 19 09:58:39 generic-02 kernel: [c000001ffc107dc0] [c0000000002c4560] do_sys_open+0x1b0/0x310
Aug 19 09:58:39 generic-02 kernel: [c000001ffc107e30] [c000000000009260] system_call+0x38/0xd0
Aug 19 09:58:39 generic-02 kernel: hvc_open: request_irq failed with rc -16.
Aug 19 09:58:39 generic-02 kernel: genirq: Flags mismatch irq 26. 00000000 (hvc_console) vs. 00000000 (hvc_console)
Aug 19 09:58:39 generic-02 kernel: CPU: 27 PID: 11071 Comm: (tmux) Not tainted 4.2.0-0.rc5.git0.2.fc23.ppc64le #1
Aug 19 09:58:39 generic-02 kernel: Call Trace:
Aug 19 09:58:39 generic-02 kernel: [c000000fe79b3850] [c000000000980198] dump_stack+0x90/0xbc (unreliable)
Aug 19 09:58:39 generic-02 kernel: [c000000fe79b3880] [c000000000132df8] __setup_irq+0x6a8/0x6f0
Aug 19 09:58:39 generic-02 kernel: [c000000fe79b3930] [c000000000133080] request_threaded_irq+0x130/0x270
Aug 19 09:58:39 generic-02 kernel: [c000000fe79b3990] [c0000000005a9984] notifier_add_irq+0x84/0xb0
Aug 19 09:58:39 generic-02 kernel: [c000000fe79b39c0] [c0000000005a8dd0] hvc_open+0xe0/0x1a0
Aug 19 09:58:39 generic-02 kernel: [c000000fe79b3a40] [c000000000581904] tty_open+0x184/0x720
Aug 19 09:58:39 generic-02 kernel: [c000000fe79b3ae0] [c0000000002cce94] chrdev_open+0x114/0x270
Aug 19 09:58:39 generic-02 kernel: [c000000fe79b3b40] [c0000000002c20d0] do_dentry_open+0x2c0/0x430
Aug 19 09:58:39 generic-02 kernel: [c000000fe79b3ba0] [c0000000002d9d08] path_openat+0x518/0x1510
Aug 19 09:58:39 generic-02 kernel: [c000000fe79b3ca0] [c0000000002dccec] do_filp_open+0xfc/0x170
Aug 19 09:58:39 generic-02 kernel: [c000000fe79b3dc0] [c0000000002c4560] do_sys_open+0x1b0/0x310
Aug 19 09:58:39 generic-02 kernel: [c000000fe79b3e30] [c000000000009260] system_call+0x38/0xd0
Aug 19 09:58:39 generic-02 kernel: hvc_open: request_irq failed with rc -16.
Aug 19 09:58:40 generic-02 audit[11073]: AVC avc:  denied  { read write } for  pid=11073 comm="ldconfig" path="/dev/pts/0" dev="devpts" ino=3 scontext=system_u:system_r:ldconfig_t:s0 tcontext=system_u:object_r:devpts_t:s0 tclass=chr_file permissive=1
Aug 19 09:58:40 generic-02 audit[11073]: SYSCALL arch=c0000015 syscall=11 success=yes exit=0 a0=100145c5580 a1=100145e3220 a2=10014443bc0 a3=3fffa49ca060 items=0 ppid=11053 pid=11073 auid=4294967295 uid=0 gid=0 euid=0 suid=0 fsuid=0 egid=0 sgid=0 fsgid=0 tty=pts0 ses=4294967295 comm="ldconfig" exe="/usr/sbin/ldconfig" subj=system_u:system_r:ldconfig_t:s0 key=(null)
Aug 19 09:58:40 generic-02 kernel: audit: type=1400 audit(1439978320.170:111): avc:  denied  { read write } for  pid=11073 comm="ldconfig" path="/dev/pts/0" dev="devpts" ino=3 scontext=system_u:system_r:ldconfig_t:s0 tcontext=system_u:object_r:devpts_t:s0 tclass=chr_file permissive=1
Aug 19 09:58:40 generic-02 kernel: audit: type=1300 audit(1439978320.170:111): arch=c0000015 syscall=11 success=yes exit=0 a0=100145c5580 a1=100145e3220 a2=10014443bc0 a3=3fffa49ca060 items=0 ppid=11053 pid=11073 auid=4294967295 uid=0 gid=0 euid=0 suid=0 fsuid=0 egid=0 sgid=0 fsgid=0 tty=pts0 ses=4294967295 comm="ldconfig" exe="/usr/sbin/ldconfig" subj=system_u:system_r:ldconfig_t:s0 key=(null)
Aug 19 09:58:40 generic-02 kernel: audit: type=1327 audit(1439978320.170:111): proctitle=2F7362696E2F6C64636F6E666967002D70
Aug 19 09:58:40 generic-02 audit: PROCTITLE proctitle=2F7362696E2F6C64636F6E666967002D70
.
.
.

I'm not able to test on ppc64 as ppc64 DVD is affected with BZ#1252905.

Comment 1 Menanteau Guy 2015-08-19 14:51:40 UTC
for info, I don't have this problem when I install same iso on a bare metal power8 using ipmi also.
at least differences between Jakub environment and mine is:
1. I do not use installation from DVD (network install for me)
2. I used a 8247-22L with FW810.21 (TV810_108) when Jacub used 8247-21L with FW810.20 (SV810_101).

Comment 2 Jakub Čajka 2015-08-26 15:25:21 UTC
For the record no change with FW level FW810.30 (SV810_124) on 8247-21L(one socket, 10 cores) with ppc64le Alpha RC2.

Seems to also affect ppc64 Alpha RC2.

Aug 26 13:15:30 generic-02 kernel: genirq: Flags mismatch irq 26. 00000000 (hvc_console) vs. 00000000 (hvc_console) 
Aug 26 13:15:30 generic-02 kernel: CPU: 23 PID: 11049 Comm: (echo) Not tainted 4.2.0-0.rc5.git0.2.fc23.ppc64 #1
Aug 26 13:15:30 generic-02 kernel: Call Trace:
Aug 26 13:15:30 generic-02 kernel: [c000000feb717560] [c00000000098a9b4] .dump_stack+0x88/0xb4 (unreliable) 
Aug 26 13:15:30 generic-02 kernel: [c000000feb7175e0] [c00000000013acd8] .__setup_irq+0x6a8/0x6f0
Aug 26 13:15:30 generic-02 kernel: [c000000feb7176a0] [c00000000013af48] .request_threaded_irq+0x128/0x270
Aug 26 13:15:30 generic-02 kernel: [c000000feb717750] [c00000000059f224] .notifier_add_irq+0x74/0xa0
Aug 26 13:15:30 generic-02 kernel: [c000000feb7177d0] [c00000000059e6a4] .hvc_open+0xe4/0x1b0
Aug 26 13:15:30 generic-02 kernel: [c000000feb717860] [c000000000577f48] .tty_open+0x188/0x740
Aug 26 13:15:30 generic-02 kernel: [c000000feb717950] [c0000000002ccca0] .chrdev_open+0x110/0x270
Aug 26 13:15:30 generic-02 kernel: [c000000feb717a00] [c0000000002c2404] .do_dentry_open+0x2b4/0x420
Aug 26 13:15:30 generic-02 kernel: [c000000feb717ab0] [c0000000002d96e8] .path_openat+0x518/0x1520
Aug 26 13:15:30 generic-02 kernel: [c000000feb717c00] [c0000000002dc5dc] .do_filp_open+0xec/0x160
Aug 26 13:15:30 generic-02 kernel: [c000000feb717d70] [c0000000002c4780] .do_sys_open+0x1a0/0x300
Aug 26 13:15:30 generic-02 kernel: [c000000feb717e30] [c000000000009360] system_call+0x38/0xd0
Aug 26 13:15:30 generic-02 kernel: hvc_open: request_irq failed with rc -16.
Aug 26 13:15:30 generic-02 kernel: genirq: Flags mismatch irq 26. 00000000 (hvc_console) vs. 00000000 (hvc_console) 
Aug 26 13:15:30 generic-02 kernel: CPU: 16 PID: 1 Comm: systemd Not tainted 4.2.0-0.rc5.git0.2.fc23.ppc64 #1
Aug 26 13:15:30 generic-02 kernel: Call Trace:
Aug 26 13:15:30 generic-02 kernel: [c000001ffc107560] [c00000000098a9b4] .dump_stack+0x88/0xb4 (unreliable) 
Aug 26 13:15:30 generic-02 kernel: [c000001ffc1075e0] [c00000000013acd8] .__setup_irq+0x6a8/0x6f0
Aug 26 13:15:30 generic-02 kernel: [c000001ffc1076a0] [c00000000013af48] .request_threaded_irq+0x128/0x270
Aug 26 13:15:30 generic-02 kernel: [c000001ffc107750] [c00000000059f224] .notifier_add_irq+0x74/0xa0
Aug 26 13:15:30 generic-02 kernel: [c000001ffc1077d0] [c00000000059e6a4] .hvc_open+0xe4/0x1b0
Aug 26 13:15:30 generic-02 kernel: [c000001ffc107860] [c000000000577f48] .tty_open+0x188/0x740
Aug 26 13:15:30 generic-02 kernel: [c000001ffc107950] [c0000000002ccca0] .chrdev_open+0x110/0x270
Aug 26 13:15:30 generic-02 kernel: [c000001ffc107a00] [c0000000002c2404] .do_dentry_open+0x2b4/0x420
Aug 26 13:15:30 generic-02 kernel: [c000001ffc107ab0] [c0000000002d96e8] .path_openat+0x518/0x1520
Aug 26 13:15:30 generic-02 kernel: [c000001ffc107c00] [c0000000002dc5dc] .do_filp_open+0xec/0x160
Aug 26 13:15:30 generic-02 kernel: [c000001ffc107d70] [c0000000002c4780] .do_sys_open+0x1a0/0x300
Aug 26 13:15:30 generic-02 kernel: [c000001ffc107e30] [c000000000009360] system_call+0x38/0xd0
Aug 26 13:15:30 generic-02 kernel: hvc_open: request_irq failed with rc -16.
Aug 26 13:15:30 generic-02 kernel: genirq: Flags mismatch irq 26. 00000000 (hvc_console) vs. 00000000 (hvc_console) 
Aug 26 13:15:30 generic-02 kernel: CPU: 32 PID: 11061 Comm: (tmux) Not tainted 4.2.0-0.rc5.git0.2.fc23.ppc64 #1
Aug 26 13:15:30 generic-02 kernel: Call Trace:
Aug 26 13:15:30 generic-02 kernel: [c000001e46d13560] [c00000000098a9b4] .dump_stack+0x88/0xb4 (unreliable) 
Aug 26 13:15:30 generic-02 kernel: [c000001e46d135e0] [c00000000013acd8] .__setup_irq+0x6a8/0x6f0
Aug 26 13:15:30 generic-02 kernel: [c000001e46d136a0] [c00000000013af48] .request_threaded_irq+0x128/0x270
Aug 26 13:15:30 generic-02 kernel: [c000001e46d13750] [c00000000059f224] .notifier_add_irq+0x74/0xa0
Aug 26 13:15:30 generic-02 kernel: [c000001e46d137d0] [c00000000059e6a4] .hvc_open+0xe4/0x1b0
Aug 26 13:15:30 generic-02 kernel: [c000001e46d13860] [c000000000577f48] .tty_open+0x188/0x740
Aug 26 13:15:30 generic-02 kernel: [c000001e46d13950] [c0000000002ccca0] .chrdev_open+0x110/0x270
Aug 26 13:15:30 generic-02 kernel: [c000001e46d13a00] [c0000000002c2404] .do_dentry_open+0x2b4/0x420
Aug 26 13:15:30 generic-02 kernel: [c000001e46d13ab0] [c0000000002d96e8] .path_openat+0x518/0x1520
Aug 26 13:15:30 generic-02 kernel: [c000001e46d13c00] [c0000000002dc5dc] .do_filp_open+0xec/0x160
Aug 26 13:15:30 generic-02 kernel: [c000001e46d13d70] [c0000000002c4780] .do_sys_open+0x1a0/0x300
Aug 26 13:15:30 generic-02 kernel: [c000001e46d13e30] [c000000000009360] system_call+0x38/0xd0
Aug 26 13:15:30 generic-02 kernel: hvc_open: request_irq failed with rc -16.

Comment 3 Jakub Čajka 2015-08-27 14:54:22 UTC
Hm... disabling shell on tty2(according to anaconda docs) with "inst.noshell" seems to "unfreeze" the SOL console. It seems that setup of another shell "messes" things up. On both BE/LE with Alpha_RC2 Server DVD.

Comment 4 Jakub Čajka 2015-08-27 16:17:38 UTC
Also it only occurs with DVD as installations source(remote tree works fine i. e. inst.repo).

Comment 5 Jakub Čajka 2015-09-03 11:50:33 UTC
I have observed frozen console even with inst.repo. It seems as some sort of race condition triggering this, as remote installation repository might induce considerable time delay. Also I have occasionally seen the trace to appear once in the logs(while using inst.repo). In this case console stayed usable.

Comment 6 Menanteau Guy 2015-09-17 13:49:14 UTC
Fedora 23 Beta ppc64le still have the problem but the ipmi is not freezed.
We can switch between different anaconda consoles only the main console does not respond anymore.

Comment 7 Menanteau Guy 2015-09-21 12:41 UTC
Created attachment 1075512 [details]
anaconda.log

Comment 8 Menanteau Guy 2015-09-21 12:42 UTC
Created attachment 1075513 [details]
X log

Comment 9 Menanteau Guy 2015-09-21 12:42 UTC
Created attachment 1075515 [details]
syslog

Comment 10 Menanteau Guy 2015-09-21 12:43 UTC
Created attachment 1075517 [details]
lspci

Comment 11 Menanteau Guy 2015-09-21 12:48:55 UTC
Problem is a consequence of X server start returning ok in anaconda. X server load a video driver due to ATI Radeon device presence.. Please have a look to previous logs.

Comment 12 Jaromír Cápík 2015-10-01 19:04:59 UTC
I did few tests, and Tyan doesn't suffer from this issue. I tried that on P8 with real CD-ROM and with CD emulation. The ipmi sol got frozen in both cases.

Comment 13 Jaromír Cápík 2015-10-08 16:47:12 UTC
(In reply to Menanteau Guy from comment #11)
> Problem is a consequence of X server start returning ok in anaconda. X
> server load a video driver due to ATI Radeon device presence.. Please have a
> look to previous logs.

In our case there's no VGA card installed. That means it's probably unrelated.

Comment 14 Jaromír Cápík 2015-10-08 18:36:48 UTC
The issue is reproducible on IBM Power7R2 with Sapphire firmware too. I couldn't reproduce that with PowerVM and standard serial port.

Comment 15 Jaromír Cápík 2015-10-09 12:35:13 UTC
The console gets frozen in ~ 80% of retries. And the following appears on the console only when it gets frozen:

[   84.116318] NMI watchdog: BUG: soft lockup - CPU#0 stuck for 23s! [swapper/0:0]


It doesn't appear in cases when the console works ok.

Comment 16 Jaromír Cápík 2015-10-09 12:46:50 UTC
One more note ... the console freeze is triggered with the first keypress.

Comment 17 Menanteau Guy 2015-10-22 12:51:00 UTC
I got a case where I have observed frozen console for all tries using inst.repo. OS files are stored on a machine on same network as victim and link seems fast enough to get always the problem with f23 ppc63le TC1 (see comment 5)
I use these commands to trig the problem:
cd /tmp;
wget http://server_machine/pub/linux/fedora/23/ppc64/os/ppc/ppc64/vmlinuz;
wget http://server_machine/pub/linux/fedora/23/ppc64/os/ppc/ppc64/initrd.img;
kexec --load vmlinuz --initrd initrd.img --command-line " inst.repo=http://server_machine/pub/linux/fedora/23/ppc64/os/ ";
kexec --exec

Then I tried the same test, but loading vmlinuz and initrd from old f22 and still pointing on f23 files.
I used following commands:
cd /tmp;
wget http://server_machine/pub/linux/fedora/22/ppc64/os/ppc/ppc64/vmlinuz;
wget http://server_machine/pub/linux/fedora/22/ppc64/os/ppc/ppc64/initrd.img;
kexec --load vmlinuz --initrd initrd.img --command-line " inst.repo=http://server_machine/pub/linux/fedora/23/ppc64/os/ ";
kexec --exec

This time I didn't have any problem. 
Also note that as expected, in this last case, kernel-4.0.4-301 did not report any problem like "genirq: Flags mismatch irq 31" (see comment 2)

victim machine details:
Server-8247-22L-SN1010CEA 	FW840.00 (TV840_036)
Machine type-model: 8247-22L
Serial number: 1010CEA
Date: 2015-10-20
Time: 9:44:48 UTC
Service Processor: Primary (Location: U78CB.001.WZS008F-P1)

Comment 18 Menanteau Guy 2016-05-17 16:28:18 UTC
Problem still present on ppc64/ppc64le fedora 24 beta 1.6.
As signaled "comment 3", disabling shell on tty2(according to anaconda docs) with "inst.noshell" seems to "unfreeze" the SOL console.

Comment 19 Laura Abbott 2016-09-23 19:09:02 UTC
*********** MASS BUG UPDATE **************
 
We apologize for the inconvenience.  There is a large number of bugs to go through and several of them have gone stale.  Due to this, we are doing a mass bug update across all of the Fedora 24 kernel bugs.
 
Fedora 24 has now been rebased to 4.7.4-200.fc24.  Please test this kernel update (or newer) and let us know if you issue has been resolved or if it is still present with the newer kernel.
 
If you have moved on to Fedora 25, and are still experiencing this issue, please change the version to Fedora 25.
 
If you experience different issues, please open a new bug report for those.

Comment 20 Laura Abbott 2016-10-26 16:53:25 UTC
*********** MASS BUG UPDATE **************
This bug is being closed with INSUFFICIENT_DATA as there has not been a response in 4 weeks. If you are still experiencing this issue, please reopen and attach the relevant data from the latest kernel you are running and any data that might have been requested previously.


Note You need to log in before you can comment on or make changes to this bug.